User Group Details
GET/accounts/{account_id}/iam/user_groups/{user_group_id}
Get information about a specific user group in an account.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
User Group Details
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/iam/user_groups/$USER_GROUP_ID \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2024-03-01T12:21:02.0000Z",
"modified_on": "2024-03-01T12:21:02.0000Z",
"name": "My New User Group",
"policies": [
{
"id": "f267e341f3dd4697bd3b9f71dd96247f",
"access": "allow",
"permission_groups": [
{
"id": "c8fed203ed3043cba015a93ad1616f1f",
"meta": {
"key": "key",
"value": "value"
},
"name": "Zone Read"
},
{
"id": "82e64a83756745bbbb1c9c2701bf816b",
"meta": {
"key": "key",
"value": "value"
},
"name": "Magic Network Monitoring"
}
],
"resource_groups": [
{
"id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
"scope": [
{
"key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
"objects": [
{
"key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
}
]
}
],
"meta": {
"key": "key",
"value": "value"
},
"name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
}
]
}
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2024-03-01T12:21:02.0000Z",
"modified_on": "2024-03-01T12:21:02.0000Z",
"name": "My New User Group",
"policies": [
{
"id": "f267e341f3dd4697bd3b9f71dd96247f",
"access": "allow",
"permission_groups": [
{
"id": "c8fed203ed3043cba015a93ad1616f1f",
"meta": {
"key": "key",
"value": "value"
},
"name": "Zone Read"
},
{
"id": "82e64a83756745bbbb1c9c2701bf816b",
"meta": {
"key": "key",
"value": "value"
},
"name": "Magic Network Monitoring"
}
],
"resource_groups": [
{
"id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
"scope": [
{
"key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
"objects": [
{
"key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
}
]
}
],
"meta": {
"key": "key",
"value": "value"
},
"name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
}
]
}
]
}
}